[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomCoolBar.InsertControl

Inserts a band for the specified control at the ordinal position in Index.

## Declaration

Source position: comctrls.pp line 2637

`public procedure TCustomCoolBar.InsertControl(`
`AControl: TControl;`
`Index: Integer`
`); override;`

## Arguments

`AControl` |  | Control for the TCoolBand instance created and stored in the method.
`Index` |  | Ordinal position in Bands where the new band is stored.

## Description

InsertControl is an overridden method in TCustomCoolBar. It calls the inherited method on entry to align and parent the control in AControl.

No additional actions are performed in the method if AControl is not a TWinControl descendant.

InsertControl checks for an existing band in the Bands collection which uses the control in AControl. If one does not already exist, a TCoolBand instance is created for the control and stored in the collection.

## See also

TWinControl.InsertControl |  | Inserts the specified control into the Controls property.